auth.v1.MFAService
ConsumeFreshStepUp
Consume a claimed fresh step-up proof after the protected request succeeds.
Method
POST
Path
auth.v1.MFAService/ConsumeFreshStepUp
Service
auth.v1.MFAService
Visibility
Authentication
Session token
MFA Requirement
Not required
POST
auth.v1.MFAService/ConsumeFreshStepUp Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/auth.v1.MFAService/ConsumeFreshStepUp' \
--header 'Content-Type: application/json' \
--header 'Connect-Protocol-Version: 1' \
--data '{
"actionType": "api_key:create",
"claimNonce": "mfa_55555555555555555555555555555555",
"requestId": "request_01J0EXAMPLE",
"stepUpId": "mfa_44444444444444444444444444444444",
"subject": "api_key:ak_1a3c6de8153d5a5b04cd2a6529779542"
}'Responses
{}Request
auth.v1.ConsumeFreshStepUpRequestResponse
auth.v1.ConsumeFreshStepUpResponse stepUpId string
Fresh step-up proof identifier returned by ClaimFreshStepUp.
requestId string
Client-generated request identifier used when the proof was claimed.
actionType string
Product action type used when the proof was claimed.
subject string
Product subject used when the proof was claimed.
claimNonce string
One-time nonce returned by ClaimFreshStepUp.
No response fields documented for this type.
| Key | HTTP status | Connect code | Error | When |
|---|---|---|---|---|
| unauthenticated | 401 | unauthenticated | Unauthenticated | Authentication required. |
| permission-denied | 403 | permission_denied | Permission Denied | Permission denied. |
| invalid-argument | 400 | invalid_argument | Invalid Argument | Invalid argument. |
| not-found | 404 | not_found | Not Found | Not found. |
| unavailable | 503 | unavailable | Unavailable | Service unavailable. |